This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.239. __nv_nearbyintf

Prototype:

    float @__nv_nearbyintf(float %x)

Description:

Round argument `x` to an integer value in double precision floating-point format.

Returns:

- __nv_nearbyintf( ± 0 ) returns ± 0 .

- __nv_nearbyintf( ± ∞ ) returns ± ∞ .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes